@extends('ventas.base')

@section('venta_subtitle')
    Pie
@endsection

@section('venta_content')
    <form class="ui form" id="edit_pie">
        <div class="three wide field">
            <label for="valor">Valor</label>
            <div class="ui right labeled input">
                <input type="text" name="valor" id="valor" value="{{$venta->formaPago()->pie->valor}}" />
                <div class="ui basic label">UF</div>
            </div>
        </div>
        <div class="three wide field">
            <label for="cuotas"># Cuotas</label>
            <input type="number" name="cuotas" id="cuotas" value="{{$venta->formaPago()->pie->cuotas}}" />
        </div>
        <button class="ui button">Editar</button>
    </form>
@endsection

@push('page_scripts')
    <script>
        $(document).ready(() => {
            $('#edit_pie').submit(event => {
                event.preventDefault()
                const data = new FormData(event.currentTarget)
                fetchAPI('{{$urls->api}}/ventas/pie/{{$venta->formaPago()->pie->id}}/edit', {method: 'post', body: data}).then(response => {
                    if (response.ok) {
                        return response.json()
                    }
                }).then(json => {
                    if (json.edited) {
                        window.location = '{{$urls->base}}/venta/{{$venta->id}}'
                    }
                })
                return false
            })
        })
    </script>
@endpush
